Bug 254297 - sysutils/vagrant: Enable Bash and Zsh completions by default
Summary: sysutils/vagrant: Enable Bash and Zsh completions by default
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mateusz Piotrowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-15 07:56 UTC by Mateusz Piotrowski
Modified: 2021-04-16 13:56 UTC (History)
1 user (show)

See Also:
joe: maintainer-feedback+
0mp: maintainer-feedback?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mateusz Piotrowski freebsd_committer 2021-03-15 07:56:22 UTC
Here's a link to the patch: https://reviews.freebsd.org/D29266
Comment 1 joe 2021-03-22 19:23:13 UTC
The patch seems OK. I have not tested if the two completions actually work, though.

Thanks!
-Joe
Comment 2 commit-hook freebsd_committer 2021-04-16 13:51:06 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3382cf278ef6245210cf256e9fcd2766351f1f73

commit 3382cf278ef6245210cf256e9fcd2766351f1f73
Author:     Mateusz Piotrowski <0mp@FreeBSD.org>
AuthorDate: 2021-04-16 13:45:23 +0000
Commit:     Mateusz Piotrowski <0mp@FreeBSD.org>
CommitDate: 2021-04-16 13:50:51 +0000

    sysutils/vagrant: Enable Bash and Zsh completions

    PR:             254297
    Approved by:    joe@thrallingpenguin.com (maintainer)
    Differential Revision:  https://reviews.freebsd.org/D29266

 sysutils/vagrant/Makefile | 16 +++++++++++++++-
 1 file changed, 15 insertions(+), 1 deletion(-)
Comment 3 Mateusz Piotrowski freebsd_committer 2021-04-16 13:56:22 UTC
Thanks! I've tested both bash and zsh at some point.